## javax.persistence.spi
Interface ProviderUtil

    public interface ProviderUtil

Method Summary
`LoadState` `isLoaded(java.lang.Object entity)`
`LoadState` `isLoadedWithoutReference(java.lang.Object entity, java.lang.String attributeName)`
`LoadState` `isLoadedWithReference(java.lang.Object entity, java.lang.String attributeName)`

Method Detail

### isLoadedWithoutReference

    LoadState isLoadedWithoutReference(java.lang.Object entity,
                                       java.lang.String attributeName)

### isLoadedWithReference

    LoadState isLoadedWithReference(java.lang.Object entity,
                                    java.lang.String attributeName)

### isLoaded

    LoadState isLoaded(java.lang.Object entity)